<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Ask Permission</title>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
  <div >
    <nav class="navbar navbar-static-top">
      <div class="container">
        <a class="navbar-brand" href="index.html">App</a>
        <ul class="nav navbar-nav">
          <li>
            <a href="upload.html">Upload</a>
          </li>
          <li>
            <a href="askpermission.html">Ask Permission</a>
          </li>
          <li>
            <a href="share.html">Share</a>
          </li>
          <li>
            <a href="download.html">Download</a>
          </li>
        </ul>
      </div>
    </nav>
    <!-- <div>
      <p class="text-center">Loading...</p>
    </div> -->
    <div id="content" >
      <div class="jumbotron"  style="padding:40px;">
        <h1>Ask Permission</h1>
        <form id="askpermissionbanner" onsubmit="AskPermission.permissionAsking(); return false;">
          Data Owner:<br>
          <input id="permissionRecipient" type="text" required/><br>
          Your Public Key:<br>
          <input id="pubkey" type="text" required/><br>
          <input type="submit" class="form-control" value="Ask Permission" id="ask"/>
        </form>
        <!-- <p><a class="btn btn-primary btn-lg" href="#" role="button">Learn more</a></p> -->
      </div>
      <table class="table">
       <thead>
         <tr>
           <th scope="col">Asks for Permission</th>
         </tr>
       </thead>
       <tbody id="asked">
       </tbody>
      </table>
      <p id="accountAddress" class="text-center"></p>
    </div>
  </div>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/truffle-contract.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/ethereum/web3.js@1.0.0-beta.34/dist/web3.min.js"></script>
    <script src="js/utilities.js"></script>
    <script src="js/askpermission.js"></script>
</body>
</html>
